Foreman - Bug #7014

incorrect error message: "CentOS mirror does not belong to CentOS 7.0 operating system"”
08/11/2014 04:51 AM - Jorick Astrego

Status: New
Assignee:

Category: Host creation

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

I've created a Centos 7 installation media because the $minor doesn't work in the url.
| assigned it to the Centos 7.0 OS and assigned it to a host group.
But when | try to save a host with Centos 7.0 as operating system selected, | get the message:

"CentOS mirror does not belong to CentOS 7.0 operating system" which is correct because it doesn't belong there, | cannot select
the "Media" field and it should choose the Centos7 mirror

History

#1 - 08/11/2014 04:53 AM - Jorick Astrego

When | assign the CentOS mirror, | cannot install because the url "http://mirror.centos.org/centos/7.0/0s/x86_64/LiveOS/squashfs.img" doesn't exist

#2 - 08/11/2014 04:57 AM - Dominic Cleal

- Category set to Host creation

#3 - 08/11/2014 09:18 AM - Jorick Astrego

It appears to be simply the problem that the Name field doesn't check if it's unique.

| justfilled in Centos and major 7.

Now | changed the name to Centos7, deleted the hosts (otherwise it doesn't work) and things started working

#4 - 08/12/2014 07:24 AM - Jorick Astrego

Ah it was not my mistake, foreman creates it by itself. | now have three Centos Operating Systems, with two named just "Centos"

#5 - 08/12/2014 07:25 AM - Jorick Astrego
- File Selection_267.png added
